StarAttributeManager Class Reference documentation

StarAttributeManager Class Reference

the main class to read/. More...

`#include <StarAttribute.hxx>`

## Public Member Functions
| StarAttributeManager ()
| constructor
virtual | ~StarAttributeManager ()
| destructor
shared_ptr< StarAttribute > | readAttribute (StarZone &zone, int which, int vers, long endPos, StarObject &document)
| try to read an attribute and return it
shared_ptr< StarAttribute > | getDefaultAttribute (int which)
| try to return the default attribute

## Static Public Member Functions
static shared_ptr< StarAttribute > | getDummyAttribute (int type=-1)
| return a dummy attribute

## Private Attributes
shared_ptr< StarAttributeInternal::State > | m_state
| the state

## Detailed Description

the main class to read/.

. a StarOffice attribute

## Constructor & Destructor Documentation

## ◆ StarAttributeManager()

StarAttributeManager::StarAttributeManager | ( |  | ) |

constructor

## ◆ ~StarAttributeManager()

StarAttributeManager::~StarAttributeManager | ( |  | ) |
| virtual

destructor

## Member Function Documentation

## ◆ getDefaultAttribute()

shared_ptr< StarAttribute > StarAttributeManager::getDefaultAttribute | ( | int | which | ) |

try to return the default attribute

## ◆ getDummyAttribute()

shared_ptr< StarAttribute > StarAttributeManager::getDummyAttribute | ( | int | type = -1 | ) |
| static

return a dummy attribute

Referenced by getDefaultAttribute(), StarItemPoolInternal::State::getDefaultAttribute(), readAttribute(), StarItemPool::readAttribute(), and StarItemPool::readItem().

## ◆ readAttribute()

shared_ptr< StarAttribute > StarAttributeManager::readAttribute | ( | StarZone & | zone,
|  | int | which,
|  | int | vers,
|  | long | endPos,
|  | StarObject & | document )

try to read an attribute and return it

## Member Data Documentation

## ◆ m_state

shared_ptr<StarAttributeInternal::State> StarAttributeManager::m_state
| private

the state

Referenced by getDefaultAttribute(), readAttribute(), and StarAttributeManager().

The documentation for this class was generated from the following files:

- StarAttribute.hxx
- StarAttribute.cxx